package require http

set outfile [open "stock.data" a+]

set formatString {%-5s %-9s %-7s %-5s %-6s %-9s %-9s %-9s %-8s}
puts [format $formatString \
  symb last change pct date open high low volume]     

foreach symbol $argv {
    set url "http://www.newsalert.com/free/stocknews?Symbol=$symbol"
    
    set id [::http::geturl $url]
    set page [::http::data $id]
    
    regexp -expanded "arts.Symbol=(.+?)\">  # Get the symbol
                  (.+?)<tr>"      $page m symb data
    regsub -all {<.+?>} $data {} lines
    set dataList [split [string trim $lines] \n]

    puts [eval format \
      [list $formatString] \
      $symbol $dataList]

    puts $outfile "[clock seconds] $symbol $dataList"
 }
  

